<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.2) on Sun Apr 12 19:31:53 EEST 2020 -->
<title>Generator_report</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-12">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Generator_report";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Generator_report.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">start</a></div>
<h2 title="Class Generator_report" class="title">Class Generator_report</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>start.Generator_report</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Generator_report</span>
extends java.lang.Object</pre>
<div class="block">Se genereaza rapoartele pdf ale tabelelor dorite.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Ionut</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,int)">Generator_report</a></span>&#8203;(int&nbsp;t,
                int&nbsp;index)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#generareClient()">generareClient</a></span>()</code></th>
<td class="colLast">
<div class="block">Se creeaza documentul pdf pentru clienti.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#generareOrders()">generareOrders</a></span>()</code></th>
<td class="colLast">
<div class="block">Se creeaza un pdf cu comenzi.</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#generareProduct()">generareProduct</a></span>()</code></th>
<td class="colLast">
<div class="block">Se creeaza un pdf cu produsele din depozit.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#generateBill(java.lang.String,java.lang.String,int,double)">generateBill</a></span>&#8203;(java.lang.String&nbsp;client,
            java.lang.String&nbsp;produs,
            int&nbsp;cantitate,
            double&nbsp;pret)</code></th>
<td class="colLast">
<div class="block">Se genereaza un pdf cu factura comenzii.</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#generateT4()">generateT4</a></span>()</code></th>
<td class="colLast">
<div class="block">Se genereaza tabelul 4: comenzile anulate.</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#pornire()">pornire</a></span>()</code></th>
<td class="colLast">
<div class="block">se identifica tabelul care trebuie afisat in pdf</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(int,int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Generator_report</h4>
<pre>public&nbsp;Generator_report&#8203;(int&nbsp;t,
                        int&nbsp;index)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="pornire()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pornire</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;pornire()
             throws java.io.FileNotFoundException,
                    com.itextpdf.text.DocumentException</pre>
<div class="block">se identifica tabelul care trebuie afisat in pdf</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.FileNotFoundException</code> - eroare</dd>
<dd><code>com.itextpdf.text.DocumentException</code> - eroare</dd>
</dl>
</li>
</ul>
<a id="generareClient()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generareClient</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;generareClient()
                    throws com.itextpdf.text.DocumentException,
                           java.io.FileNotFoundException</pre>
<div class="block">Se creeaza documentul pdf pentru clienti. Dupa ce sunt cautati in baza de date, sunt adaugati in fisier.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.itextpdf.text.DocumentException</code> - eroare</dd>
<dd><code>java.io.FileNotFoundException</code> - eroare</dd>
</dl>
</li>
</ul>
<a id="generareOrders()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generareOrders</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;generareOrders()
                    throws com.itextpdf.text.DocumentException,
                           java.io.FileNotFoundException</pre>
<div class="block">Se creeaza un pdf cu comenzi. Comenzile din baza de date sunt inserate in fisier.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.itextpdf.text.DocumentException</code> - eroare</dd>
<dd><code>java.io.FileNotFoundException</code> - eroare</dd>
</dl>
</li>
</ul>
<a id="generareProduct()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generareProduct</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;generareProduct()
                     throws com.itextpdf.text.DocumentException,
                            java.io.FileNotFoundException</pre>
<div class="block">Se creeaza un pdf cu produsele din depozit. Produsele din baza de date sunt transmise in fisierul pdf.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>com.itextpdf.text.DocumentException</code> - eroare</dd>
<dd><code>java.io.FileNotFoundException</code> - eroare</dd>
</dl>
</li>
</ul>
<a id="generateT4()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generateT4</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;generateT4()
                throws java.io.FileNotFoundException,
                       com.itextpdf.text.DocumentException</pre>
<div class="block">Se genereaza tabelul 4: comenzile anulate. Din baza de date se scot informatiile si se pun in fisierul pdf.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.FileNotFoundException</code> - eroare</dd>
<dd><code>com.itextpdf.text.DocumentException</code> - eroare</dd>
</dl>
</li>
</ul>
<a id="generateBill(java.lang.String,java.lang.String,int,double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>generateBill</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;generateBill&#8203;(java.lang.String&nbsp;client,
                         java.lang.String&nbsp;produs,
                         int&nbsp;cantitate,
                         double&nbsp;pret)
                  throws java.io.FileNotFoundException,
                         com.itextpdf.text.DocumentException</pre>
<div class="block">Se genereaza un pdf cu factura comenzii. Se insereaza un mesaj cu detaliile comenzii si pretul total.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>client</code> - clientul</dd>
<dd><code>produs</code> - produssul</dd>
<dd><code>cantitate</code> - cantitatea</dd>
<dd><code>pret</code> - pretul</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.FileNotFoundException</code> - eroare</dd>
<dd><code>com.itextpdf.text.DocumentException</code> - eroare</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Generator_report.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
